# Method: projects.locations.indexEndpoints.list

- [HTTP request](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/list#body.request_body)
- [Response body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/list#body.ListIndexEndpointsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/list#body.aspect_1)

Lists all IndexEndpoints in a project.

### HTTP request

`GET https://visionai.googleapis.com/v1alpha1/{parent=projects/*/locations/*}/indexEndpoints`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. The service may return fewer than this value. If unspecified, a page size of 50 will be used. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. The filter applied to the returned list. We only support filtering for the `deployedImageIndex.image_index` field. However, to filter by a corpus instead of an image index, simply use `deployedImageIndex.corpus`, which will return all endpoints with `deployedImageIndex.image_index` inside of the given corpus. A basic filter on image index would look like: deployedImageIndex.image_index = "projects/123/locations/us-central1/corpora/my_corpus/imageIndexes/my_image_index" A basic filter on corpus would look like: deployedImageIndex.corpus = "projects/123/locations/us-central1/corpora/my_corpus" |

### Request body

The request body must be empty.

### Response body

Response message for indexEndpoints.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "indexEndpoints": [ { object (`https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints#IndexEndpoint`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `indexEndpoints[]` | ``object (`https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints#IndexEndpoint`)`` The list of IndexEndpoints. |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `visionai.indexEndpoints.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).